#include<iostream>
#include<conio.h>
using namespace std;
class SeriClass
{
	private :
		double S;
		int i;
	public :
		SeriClass()
		{
			S = 0;
		}
		void Calculate()
		{
			for(i = 1; i < 50; i += 2)
				S += i * (i + 1.0) / (i + (i + 1.0));
		}
		double GetResult()
		{
			return S;
		}
};

int main()
{
	SeriClass A;
	A.Calculate();
	cout << A.GetResult() << endl;
	getch();
}

